- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#body.CreativeFieldValuesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#body.aspect)
- [SortField](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#SortField)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#try-it)

Retrieves a list of creative field values, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |
| `creativeFieldId` | `string (https://developers.google.com/discovery/v1/type-format format)` Creative field ID for this creative field value. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. |
| `searchString` | `string` Allows searching for creative field values by their values. Wildcards (e.g. `*`) are not allowed. |
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only creative field values with these IDs. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/list#SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Creative Field Value creativeFieldValues.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "creativeFieldValues": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues#CreativeFieldValue`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#creativeFieldValuesListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `creativeFieldValues[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues#CreativeFieldValue`)`` Creative field value collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`

## SortField

| Enums ||
|---|---|
| `ID` |   |
| `VALUE` |   |